package com.its.op.dto.its.link;

import com.its.op.entity.its.link.TbLinkParaStup;
import lombok.*;

import java.io.Serializable;

public class LinkParaStupDto implements Serializable {

    @Getter
    public static class LinkParaStupInfo {
        private final Long   LINK_ID;         //	N	NUMBER(10)	N			링크ID
        private final String FLTR_MTHD_CD;    //	N	VARCHAR2(7)	Y			필터링 방법 코드
        private final String FUSN_MTHD_CD;    //	N	VARCHAR2(7)	Y			퓨전 방법 코드
        private final String ADJS_MTHD_CD;    //	N	VARCHAR2(7)	Y			보정 방법 코드
        private final String SMTH_MTHD_CD;    //	N	VARCHAR2(7)	Y			평활화 방법 코드

        public LinkParaStupInfo(TbLinkParaStup entity) {
            this.LINK_ID      = Long.valueOf(1);//entity.getLINK_ID();
            this.FLTR_MTHD_CD = entity.getFltrMthdCd();
            this.FUSN_MTHD_CD = entity.getFusnMthdCd();
            this.ADJS_MTHD_CD = entity.getAdjsMthdCd();
            this.SMTH_MTHD_CD = entity.getSmthMthdCd();

        }
    }

    @Getter
    @Setter
    @ToString
    @NoArgsConstructor//(access = AccessLevel.PROTECTED)
    public static class LinkParaStupUpdateReq {

        private String FLTR_MTHD_CD;    //	N	VARCHAR2(7)	Y			필터링 방법 코드
        private String FUSN_MTHD_CD;    //	N	VARCHAR2(7)	Y			퓨전 방법 코드
        private String ADJS_MTHD_CD;    //	N	VARCHAR2(7)	Y			보정 방법 코드
        private String SMTH_MTHD_CD;    //	N	VARCHAR2(7)	Y			평활화 방법 코드

        @Builder
        public LinkParaStupUpdateReq(String FLTR_MTHD_CD, String FUSN_MTHD_CD, String ADJS_MTHD_CD, String SMTH_MTHD_CD) {
            this.FLTR_MTHD_CD = FLTR_MTHD_CD;
            this.FUSN_MTHD_CD = FUSN_MTHD_CD;
            this.ADJS_MTHD_CD = ADJS_MTHD_CD;
            this.SMTH_MTHD_CD = SMTH_MTHD_CD;
        }
    }

}
